main/urls.py
from django.urls import path, re_path

from . import views

app_name = 'main'

urlpatterns = [
    path('', views.home, name='home'),
    path('home/', views.home, name='home'),
    path('profile/', views.profile, name='profile'),
    path('halamanA/', views.halamanA, name='halamanA'),
    path('formMatkul/', views.formMatkul, name='formMatkul'),
    path('daftarMatkul/', views.daftarMatkul, name='daftarMatkul'),
    re_path(r'^(?P<id>[0-9]+)$', views.deleteItems, name='deleteItems'),
    path('detailMatkul/<id>', views.detailMatkul, name='detailMatkul')
   
]

proyek/urls.py
from django.contrib import admin
from django.urls import include, path

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('main.urls')),
]

main/models.py
from django.db import models

class Mata_Kuliah(models.Model):
    Nama_matkul = models.CharField(max_length=30)
    Dosen_pengajar = models.CharField(max_length=30)
    Jumlah_sks = models.IntegerField()
    Semester_tahun = models.CharField(max_length=30, default='')
    Ruang_kelas = models.CharField(max_length=30, default='')
    Deskripsi_matkul = models.TextField()



    

main/forms.py
from django import forms
from .models import Mata_Kuliah


class Matkul_Form(forms.ModelForm):
    class Meta:
        model = Mata_Kuliah
        fields = ['Nama_matkul', 'Dosen_pengajar', 'Jumlah_sks', 'Semester_tahun', 'Ruang_kelas', 'Deskripsi_matkul']

    Nama_matkul = forms.CharField(label='Nama Matkul', required=True, max_length=27, widget=forms.TextInput(attrs={'class': 'form-control', 'placeholder': 'masukan nama matkul'}))
    Dosen_pengajar = forms.CharField(label='Dosen Pengajar',max_length=27, widget=forms.TextInput(attrs={'class': 'form-control', 'type' : 'text'}))
    Jumlah_sks = forms.IntegerField(widget=forms.TextInput(attrs={'class': 'form-control'}))
    Semester_tahun = forms.CharField(label='Semester Tahun',max_length=27, widget=forms.TextInput(attrs={'class': 'form-control', 'type' : 'text'}))
    Ruang_kelas = forms.CharField(label='Ruang Kelas',max_length=27, widget=forms.TextInput(attrs={'class': 'form-control', 'type' : 'text'}))
    Deskripsi_matkul = forms.CharField(label='Deskripsi Matkul', required=True, max_length=100, widget=forms.Textarea(attrs={'class': 'form-control'}))
    

main/views.py
from django.shortcuts import render, redirect
from .models import Mata_Kuliah
from .forms import Matkul_Form

def home(request):
    return render(request, 'main/home.html')

def profile(request):
    return render(request, 'main/profile.html')

def halamanA(request):
    return render(request, 'main/halamanA.html')

def formMatkul(request):
    
    form = Matkul_Form(request.POST or None)
    nilai = False
    if(form.is_valid and request.method == 'POST'):
        form.save()
        nilai = True
    
    matkul = Mata_Kuliah.objects.all().last()
    context = {
        'form': form,
        'nilai': nilai,
        'matkul': matkul
    }
    return render(request, 'main/formMatkul.html', context)

def daftarMatkul(request):
    matkuls = Mata_Kuliah.objects.all()
    context = {
        'matkuls': matkuls,
    }
    return render(request, 'main/daftarMatkul.html', context)

def deleteItems(request, id):
    item = Mata_Kuliah.objects.get(id=id)
    item.delete()
    return redirect('daftarMatkul/')

def detailMatkul(request, id):
    info_matkul = Mata_Kuliah.objects.get(id=id)
    context = {
        'info_matkul': info_matkul,
    }
    return render(request, 'main/detailMatkul.html', context)

    




    

main/templates/main/daftarMatkul.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Daftar Matkul</title>
{% endblock meta %}

{% block content %}
<div class='container'>
    <table class="table">
        <thead>
            <tr>
            <th scope="col">Nama Matkul</th>
            <th scope="col"></th>
            </tr>
            
        </thead>
        <tbody>
            {% for matkul in matkuls %}
            <tr>
            <td>{{ matkul.Nama_matkul }}</td>
            <td>
            <a href={% url 'main:detailMatkul' id=matkul.id %} class="btn btn-info btn-sm" role="button">Detail</a>
            <a href={% url 'main:deleteItems' id=matkul.id %} class="btn btn-danger btn-sm" role="button">Hapus</a>
            </td>
            </tr>
            {% endfor %}           
        </tbody>
    </table>
</div>
{% endblock content %}

main/templates/main/detailMatkul.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Hello, world!</title>
{% endblock meta %}

{% block content %}
  <table class="table">
  <thead>
    <tr>
      <th scope="col">Nama Matkul</th>
      <th scope="col">Dosen Pengajar</th>
      <th scope="col">Jumlah SKS</th>
      <th scope="col">Semester Tahun</th>
      <th scope="col">Ruang Kelas</th>
      <th scope="col">Deskripsi Matkul</th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <td><p>{{ info_matkul.Nama_matkul }}</p></td>
      <td><p>{{ info_matkul.Dosen_pengajar }}</p></td>
      <td><p>{{ info_matkul.Jumlah_sks }}</p></td>
      <td><p>{{ info_matkul.Semester_tahun }}</p></td>
      <td><p>{{ info_matkul.Ruang_kelas }}</p></td>
      <td><p>{{ info_matkul.Deskripsi_matkul }}</p></td>
      
  </tbody>
</table>
  
  
  
{% endblock content %}

main/templates/main/formMatkul.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Form MataKuliah</title>
{% endblock meta %}

{% block content %}
<div class='container form'>
  <div class="form-group">
    <form action='' method="POST">
      {% csrf_token %}
      {{ form.as_p }}
      <button type="submit" class="btn btn-primary">Submit</button>
    </form>
  </div>
  {% if nilai == True %}
  <div class="alert alert-primary" role="alert">
    Mata kuliah {{ matkul.Nama_matkul }} berhasil ditambahkan.
  </div>
  {% endif %}
</div>

    

{% endblock content %}

main/templates/main/halamanA.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Halaman A</title>
{% endblock meta %}

{% block content %}
  <h1>Halaman A</h1>
{% endblock content %}

main/templates/main/home.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Hello, world!</title>
{% endblock meta %}

{% block content %}
  <h1>Hello, world!</h1>
  <p><img src="{% static 'img/django-logo-negative.svg' %}"></p>
{% endblock content %}

main/templates/main/profile.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Profile</title>
{% endblock meta %}

{% block content %}
  <div class="container">
        <div class="row">
            <div class="col-sm-4">
                    <img src="{% static 'img/ID52.jpg' %}">
            </div>
            <div class="col-sm-4">
                    <h3>Profile</h3>
                    <p class="nama">Nama: </p>
                    <p>Yahya Abdurrohman Alghifari</p>
                    <p class="NPM">NPM: </p>
                    <p>1906399096</p>
                    <p class="jurusan">Jurusan: </p>
                    <p>Sistem Informasi 2019</p>
                    <p class="medsos">Medsos: </p>
                    <a href="https://line.me/ti/p/youllhie9i">Line</a>
            </div>
            <div class="col-sm-4">
                    <h3>About me</h3>
                    <p class="bodyAboutme">Saya adalah seorang mahasiswa Fasilkom UI</p>
                    <p>semester 4. Saat ini saya sedang mengambil </p>
                    <p>mata kuliah Perancangan Pemrograman Web.</p>
            </div>
        </div>
    </div>

    <div class="container">
        <div class="row">
            <div class="col-sm-4 offset-2">
                <h3>Experiences</h3>
                <ul>
                    <li>Staff Compfest</li>
                    <li></li>
                    <li></li>
                </ul>
            </div>
            <div class="col-sm-4 offset-2">
                <h3>Abilities</h3>
                <ul>
                    <li>Java</li>
                    <li>Python</li>
                    <li>CSS</li>
                </ul>
            </div>
        </div>
    </div>
{% endblock content %}

templates/base.html
{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl" crossorigin="anonymous">
  <link rel="stylesheet" href="{% static 'css/style.css' %}">
  {% block meta %}
  {% endblock meta %}
</head>

<body>
  {% include 'navbar.html'%}

  {% block content %}
  {% endblock content %}
</body>

</html>

templates/navbar.html
<nav class="navbar navbar-expand-lg navbar-light bg-light">
  <a class="navbar-brand" href="#">Navbar</a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>
  <div class="collapse navbar-collapse" id="navbarNav">
    <ul class="navbar-nav">
      <li class="nav-item active">
        <a class="nav-link" href={% url 'main:home' %}>Home <span class="sr-only">(current)</span></a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href={% url 'main:profile' %}>Profile</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href={% url 'main:halamanA' %}>Halaman a</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href={% url 'main:formMatkul' %}>Form Matkul</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href={% url 'main:daftarMatkul' %}>Daftar Matkul</a>
      </li>
    </ul>
  </div>
</nav>